在packagist.org上新提交了一个包,多久能够composer到?

pangou
  • 100

packagist.org上新提交了一个包以后,一直composer require不到资源。

不知道需要等待多久才能composer到?

# 以下为调试信息

D:\ubuntu_share\composer\hello>php d:\bin\composer require pangou/hello-world -vvv
You are running composer with xdebug enabled. This has a major impact on runtime performance. See https://getcomposer.org/xdebug
Reading ./composer.json
Loading config file ./composer.json
Executing command (D:\ubuntu_share\composer\hello): git describe --exact-match --tags
Executing command (D:\ubuntu_share\composer\hello): git branch --no-color --no-abbrev -v
Executing command (D:\ubuntu_share\composer\hello): hg branch
Executing command (D:\ubuntu_share\composer\hello): svn info --xml
Failed to initialize global composer: Composer could not find the config file: C:/Users/Administrator/AppData/Roaming/Composer/composer.json
To initialize a project, please create a composer.json file as described in the https://getcomposer.org/ "Getting Started" section
Downloading https://packagist.org/packages.json
Writing C:/Users/Administrator/AppData/Local/Composer/repo/https---packagist.org/packages.json into cache
Reading C:/Users/Administrator/AppData/Local/Composer/repo/https---packagist.org/p-provider-2013.json from cache
Reading C:/Users/Administrator/AppData/Local/Composer/repo/https---packagist.org/p-provider-2014.json from cache
Downloading http://packagist.org/p/provider-2015%24892cc7113cf0f30cc0db27a2d8cb45584c7881e7247ba2fe2b580366302ce653.json
Writing C:/Users/Administrator/AppData/Local/Composer/repo/https---packagist.org/p-provider-2015.json into cache
Reading C:/Users/Administrator/AppData/Local/Composer/repo/https---packagist.org/p-provider-2015-04.json from cache
Downloading http://packagist.org/p/provider-2015-07%24ff67e834038a3d373daa2428f5e6fdaf7e02a21ddb8b02e8f95c6761b38e22a8.json
Writing C:/Users/Administrator/AppData/Local/Composer/repo/https---packagist.org/p-provider-2015-07.json into cache
Downloading http://packagist.org/p/provider-2015-10%24f3055c2306df02385f88e9b3494ffeed8b5499d9d14c6db9ce8ae2d6861fecd7.json
Writing C:/Users/Administrator/AppData/Local/Composer/repo/https---packagist.org/p-provider-2015-10.json into cache
Reading C:/Users/Administrator/AppData/Local/Composer/repo/https---packagist.org/p-provider-2016-01.json from cache
Reading C:/Users/Administrator/AppData/Local/Composer/repo/https---packagist.org/p-provider-archived.json from cache
Downloading http://packagist.org/p/provider-latest%24878f7537ca276f1260dbb3f72297457eeeda58d6e92027dec978955a622e5757.json
Writing C:/Users/Administrator/AppData/Local/Composer/repo/https---packagist.org/p-provider-latest.json into cache
Reading C:/Users/Administrator/AppData/Local/Composer/repo/https---packagist.org/provider-pangou$hello-world.json from cache


  [InvalidArgumentException]
  Could not find package pangou/hello-world at any version for your minimum-stability (stable). Check the package spelling or your minimum-stability


Exception trace:
 () at phar://D:/bin/composer/src/Composer/Command/InitCommand.php:605
 Composer\Command\InitCommand->findBestVersionForPackage() at phar://D:/bin/composer/src/Composer/Command/InitCommand.php:334
 Composer\Command\InitCommand->determineRequirements() at phar://D:/bin/composer/src/Composer/Command/RequireCommand.php:107
 Composer\Command\RequireCommand->execute() at phar://D:/bin/composer/vendor/symfony/console/Command/Command.php:259
 Symfony\Component\Console\Command\Command->run() at phar://D:/bin/composer/vendor/symfony/console/Application.php:840
 Symfony\Component\Console\Application->doRunCommand() at phar://D:/bin/composer/vendor/symfony/console/Application.php:192
 Symfony\Component\Console\Application->doRun() at phar://D:/bin/composer/src/Composer/Console/Application.php:167
 Composer\Console\Application->doRun() at phar://D:/bin/composer/vendor/symfony/console/Application.php:123
 Symfony\Component\Console\Application->run() at phar://D:/bin/composer/src/Composer/Console/Application.php:98
 Composer\Console\Application->run() at phar://D:/bin/composer/bin/composer:43
 require() at D:\bin\composer:25

require [--dev] [--prefer-source] [--prefer-dist] [--no-progress] [--no-update] [--update-no-dev] [--update-with-dependencies] [--ignore-platform-reqs] [--sort-packages] [-o|--optimize-autoloader] [-a|--classmap-authoritative] [--] [<packages>]...
回复
阅读 4.1k
3 个回答

提交好马上就可以了,因为你在安装的时候他会去检索的

撰写回答
你尚未登录,登录后可以
  • 和开发者交流问题的细节
  • 关注并接收问题和回答的更新提醒
  • 参与内容的编辑和改进,让解决方法与时俱进
宣传栏